<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('logiciels', function (Blueprint $table) {
            $table->id();
            $table->string('nom');
            $table->text('description');
            $table->string('document')->nullable();
            $table->string('image')->nullable();
            $table->string('diapo')->nullable();
            $table->string('prix')->nullable();
            $table->boolean('prix_etat')->default(false);
            $table->boolean('etat')->default(false);
            $table->text('resume_seo')->nullable();
            $table->text('titre_seo')->nullable();
            $table->text('mot_cle')->nullable();
            $table->boolean('home')->default(false);
            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('logiciels');
    }
};
